DRM_DP_UPDATE_PAYLOA(9)

NAME
drm_dp_update_payload_part2 - Execute payload update part 2

SYNOPSIS

int drm_dp_update_payload_part2(struct drm_dp_mst_topology_mgr * mgr);

ARGUMENTS

mgr
    manager to use.

DESCRIPTION

This iterates over all proposed virtual channels, and tries to allocate space in the link for them. For 0->slots transitions, this step writes the remote VC payload commands. For slots->0 this just resets some internal state.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT